Intersects
Prev | 10.13. Topology Spatial Relationships | Next

## Name

Intersects — Returns true if any pair of primitives from the two topogeometries intersect.

## Synopsis

`boolean Intersects(`topogeometry tg1, topogeometry tg2`)`;

## Description

Returns true if any pair of primitives from the two topogeometries intersect.

This function not supported for topogeometries that are geometry collections. It also can not compare topogeometries from different topologies. Also not currently supported for hierarchichal topogeometries (topogeometries composed of other topogeometries).

Availability: 1.1.0

This function supports 3d and will not drop the z-index.

## Examples

## See Also

ST_Intersects

Prev | Up | Next
Equals | Home | Chapter 11. Raster Data Management, Queries, and Applications